Mail archive
alpine-aports

[alpine-aports] [PATCH] main/perl-test-harness: fixes in apkbuild

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Tue, 24 Jan 2017 11:29:22 +0200

- add depends= in utils subpackage
- fix replaces= in utils subpackage
- move *.pod files to doc subpackage
---
 main/perl-test-harness/APKBUILD | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)
diff --git a/main/perl-test-harness/APKBUILD b/main/perl-test-harness/APKBUILD
index 772cca33ad..4b3ac2aa3d 100644
--- a/main/perl-test-harness/APKBUILD
+++ b/main/perl-test-harness/APKBUILD
_at_@ -4,7 +4,7 @@
 pkgname=perl-test-harness
 _pkgreal=Test-Harness
 pkgver=3.36
-pkgrel=1
+pkgrel=2
 pkgdesc="Run Perl standard test scripts with statistics"
 url="http://search.cpan.org/dist/Test-Harness/"
 arch="noarch"
_at_@ -37,7 +37,8 @@ package() {
 
 utils() {
 	pkgdesc="$pkgdesc (utilities)"
-	replaces="perl"
+	depends="$pkgname perl"
+	replaces="perl-utils"
 	mkdir -p "$subpkgdir"/usr || return 1
 	mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
 }
_at_@ -45,6 +46,11 @@ utils() {
 doc() {
 	default_doc
 	replaces="perl-doc"
+	local file; for file in $(find "$pkgdir" -name "*.pod"); do
+	file=${file#$pkgdir/}
+		mkdir -p "$subpkgdir"/${file%/*} || return 1
+		mv "$pkgdir"/$file "$subpkgdir"/$file || return 1
+	done
 }
 
 md5sums="4c8d9c77e8e06ca96c7383c05c8f3616  Test-Harness-3.36.tar.gz"
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Jan 24 2017 - 11:29:22 GMT